/*
	CGI Source for Guest book ver 1.0

	Author	: Kang Jul Ki (Master 2nd)
	Hompage : http://sel.chonbuk.ac.kr/~jkkang/
	Email	: jkkang@sel.chonbuk.ac.kr

	Date	: February 23, 1997
	Class	: Software Engineering Lab.
		  Dept. of Electronic Engineering
		  Chonbuk National Univ.	

	Compiler: gcc 2.7 (unix available)
	Comment:
		*For Win95 user
			- You should have a Compiler supporting 32-bit
			- For example, Visual C++ 4.x, Borlandc 4.5, 5.0
			- GCC for Dos
		*The reason for 32-bit compiler
			- http is based on 32bit input/out

	Copyright (c) 1997, Software Engineering Lab. All rights reserved.
*/

#ifndef __mycgi_h_
#define __mycgi_h_

#define	CF	13
#define	CR	13
#define	LF	10

#define MAX_ENTRIES 10000

typedef struct {
    char *f_name;
    char *f_val;
} entry;

typedef struct {
	char	szTotal[10];		/* total html file #	*/
} FILE_HEADER;
						
typedef struct {
	char	szNumber[5];		/* number of guest book	*/
	char	szName[20];		/* name of guest	*/
	char	szDate[20];		/* date 		*/
	char szEmail[40];		/* email		*/
	/*int	nCount;	*/		/* count that is read by someone*/
	char	szTitle[80];		/* title		*/
	char	szHtmlName[100];	/* html file name 	*/
} RECORD;

#define	HEADER_SIZE		(sizeof(FILE_HEADER))
#define	RECORD_SIZE		(sizeof(RECORD))

/*
** Prototype for util.c
*/
void getword		(char *word, char *line, char stop);
char *makeword		(char *line, char stop);
char *fmakeword		(FILE *f, char stop, int *cl);
char x2c		(char *what);
void unescape_url	(char *url);
void plustospace	(char *str);
int rind		(char *s, char c);
int getline		(char *s, int n, FILE *f);
void send_fd		(FILE *f, FILE *fd);
int ind			(char *s, char c);
void escape_shell_cmd	(char *cmd);

/*
** Prototype for guest.c
*/
void MakeHtmlPage	(FILE *in, int nTotal);
void MakeEachHtmlPage	(FILE *fp, char *buf, char *url, char *szDate);

#endif	/* __mycgi_h_	*/
